Bug 239756 - multimedia/emby-server: Update to 4.2.1.0
Summary: multimedia/emby-server: Update to 4.2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://github.com/MediaBrowser/Emby....
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-10 10:22 UTC by Dries Michiels
Modified: 2019-09-02 22:22 UTC (History)
1 user (show)

See Also:
alucryd: maintainer-feedback+


Attachments
update to 4.2.1.0 (77.07 KB, patch)
2019-08-10 10:22 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2019-08-10 10:22:09 UTC
Created attachment 206414 [details]
update to 4.2.1.0

Makefile changes:
- Update to 4.2.1.0
- Add libraw as lib depend, enable optimizations, remove gmp as lib depend
- Pet portlint when building the port with X11=ON (X11_USE)

emby-server.in changes:
- Style (tabs)
- Make PID-file location configurable

pkg-desc: Style

pkg-message pkg deinstall:
- Remove obsolete notices/warnings of the mediabrowser => emby rename 4.5 years ago. Mention sysrc.

QA
Portlint
Testport: stable12, stable11 (amd64 only package)
Run time tested
Comment 1 Dries Michiels 2019-08-10 10:35:46 UTC
Forget to mention the libvpx addition and configure flag... :-)
Comment 2 Maxime Gauduin 2019-08-10 11:45:24 UTC
Looks good to me, thanks a lot!
Comment 3 Dries Michiels 2019-08-28 14:40:10 UTC
Hi Swills, have you been able to take a look at this PR? :-)
Comment 4 commit-hook freebsd_committer 2019-09-02 22:21:59 UTC
A commit references this bug:

Author: swills
Date: Mon Sep  2 22:21:04 UTC 2019
New revision: 510856
URL: https://svnweb.freebsd.org/changeset/ports/510856

Log:
  multimedia/emby-server: Update to 4.2.1.0

  PR:		239756
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com>
  Approved by:	Maxime Gauduin <alucryd@archlinux.org> (maintainer)

Changes:
  head/multimedia/emby-server/Makefile
  head/multimedia/emby-server/distinfo
  head/multimedia/emby-server/files/emby-server.in
  head/multimedia/emby-server/pkg-deinstall
  head/multimedia/emby-server/pkg-descr
  head/multimedia/emby-server/pkg-message
  head/multimedia/emby-server/pkg-plist
Comment 5 Steve Wills freebsd_committer 2019-09-02 22:22:24 UTC
Committed, thanks!